#!/bin/bash
direc=( entr flux moy rho var )
entr=( delh delrt epsh epsrt )
flux=( wrt wrta wthetal wthetala wthetav wthetava )
moy=( alpha drt dthl dthv du dv flux rla rta rte thetala thetale thetava thetave ua ue va ve wa )
rho=( rho rhoa )
var=( rt2 rta2 thetal2 thetala2 w2 wa2 )
heure=( 5 6 7 8 9 10 11 12 )
sec=( 18000 21600 25200 28800 32400 36000 39600 43200 )

rm -f cree_fic.jnl
cat <<eod>> cree_fic.jnl
spawn rm -f arm_meso_NH.cdf
spawn pwd
!----------------------------------
DEF AXIS/z=60:4000:40/units=meter zaxis
DEF AXIS/t=18000:18000:3600/units="seconds since 1997-06-21 11:30:00" taxis1
DEF GRID/z=zaxis/t=taxis1 my_grid1
eod

for iheure in 0 1 2 3 4 5 6 7 ; do
echo ${heure[$iheure]}
echo ${sec[$iheure]}
cat <<eod>> cree_fic.jnl
!-------------------- ${heure[$iheure]}e heure
DEF AXIS/z=0:4000:40/units=meter zaxis
DEF AXIS/t=${sec[$iheure]}:${sec[$iheure]}:3600/units="seconds since 1997-06-21 11:30:00" taxis1
DEF GRID/z=zaxis/t=taxis1 my_grid1

file/GRID=my_grid1/var="zz,entr,detr,detr2" "entr/ARM${heure[$iheure]}_newform_entdet.txt"
SAVE/APPEND/FILE=arm_meso_NH.cdf zz,entr,detr,detr2
file/GRID=my_grid1/var="delh,zz" "entr/delh.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf delh,zz
file/GRID=my_grid1/var="delrt,zz" "entr/delrt.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf delrt,zz
file/GRID=my_grid1/var="epsh,zz" "entr/epsh.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf epsh,zz
file/GRID=my_grid1/var="epsrt,zz" "entr/epsrt.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf epsrt,zz
CANCEL DATA_SET "entr/delh.${heure[$iheure]}"
CANCEL DATA_SET "entr/delrt.${heure[$iheure]}"
CANCEL DATA_SET "entr/epsh.${heure[$iheure]}"
CANCEL DATA_SET "entr/epsrt.${heure[$iheure]}"
file/GRID=my_grid1/var="wrt,zz" "flux/wrt.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf wrt,zz
file/GRID=my_grid1/var="wrta,zz" "flux/wrta.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf wrta,zz
file/GRID=my_grid1/var="wthetal,zz" "flux/wthetal.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf wthetal,zz
file/GRID=my_grid1/var="wthetala,zz" "flux/wthetala.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf wthetala,zz
file/GRID=my_grid1/var="wthetav,zz" "flux/wthetav.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf wthetav,zz
file/GRID=my_grid1/var="wthetava,zz" "flux/wthetava.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf wthetava,zz
CANCEL DATA_SET "flux/wrt.${heure[$iheure]}"
CANCEL DATA_SET "flux/wrta.${heure[$iheure]}"
CANCEL DATA_SET "flux/wthetal.${heure[$iheure]}"
CANCEL DATA_SET "flux/wthetala.${heure[$iheure]}"
CANCEL DATA_SET "flux/wthetav.${heure[$iheure]}"
CANCEL DATA_SET "flux/wthetava.${heure[$iheure]}"
file/GRID=my_grid1/var="alpha,zz" "moy/alpha.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf alpha,zz
file/GRID=my_grid1/var="drt,zz" "moy/drt.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf drt,zz
file/GRID=my_grid1/var="dthl,zz" "moy/dthl.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf dthl,zz
file/GRID=my_grid1/var="dthv,zz" "moy/dthv.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf dthv,zz
file/GRID=my_grid1/var="flux,zz" "moy/flux.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf flux,zz
file/GRID=my_grid1/var="rla,zz" "moy/rla.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf rla,zz
file/GRID=my_grid1/var="rta,zz" "moy/rta.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf rta,zz
file/GRID=my_grid1/var="rte,zz" "moy/rte.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf rte,zz
file/GRID=my_grid1/var="thetala,zz" "moy/thetala.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf thetala,zz
file/GRID=my_grid1/var="thetale,zz" "moy/thetale.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf thetale,zz
file/GRID=my_grid1/var="thetava,zz" "moy/thetava.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf thetava,zz
file/GRID=my_grid1/var="thetave,zz" "moy/thetave.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf thetave,zz
file/GRID=my_grid1/var="ua,zz" "moy/ua.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf ua,zz
file/GRID=my_grid1/var="ue,zz" "moy/ue.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf ue,zz
file/GRID=my_grid1/var="va,zz" "moy/va.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf va,zz
file/GRID=my_grid1/var="ve,zz" "moy/ve.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf ve,zz
file/GRID=my_grid1/var="wa,zz" "moy/wa.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf wa,zz
CANCEL DATA_SET "moy/alpha.${heure[$iheure]}"
CANCEL DATA_SET "moy/drt.${heure[$iheure]}"
CANCEL DATA_SET "moy/dthl.${heure[$iheure]}"
CANCEL DATA_SET "moy/dthv.${heure[$iheure]}"
CANCEL DATA_SET "moy/flux.${heure[$iheure]}"
CANCEL DATA_SET "moy/rla.${heure[$iheure]}"
CANCEL DATA_SET "moy/rta.${heure[$iheure]}"
CANCEL DATA_SET "moy/rte.${heure[$iheure]}"
CANCEL DATA_SET "moy/thetala.${heure[$iheure]}"
CANCEL DATA_SET "moy/thetale.${heure[$iheure]}"
CANCEL DATA_SET "moy/thetava.${heure[$iheure]}"
CANCEL DATA_SET "moy/thetave.${heure[$iheure]}"
CANCEL DATA_SET "moy/ua.${heure[$iheure]}"
CANCEL DATA_SET "moy/ue.${heure[$iheure]}"
CANCEL DATA_SET "moy/va.${heure[$iheure]}"
CANCEL DATA_SET "moy/ve.${heure[$iheure]}"
CANCEL DATA_SET "moy/wa.${heure[$iheure]}"
file/GRID=my_grid1/var="rho,zz" "rho/rho.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf rho,zz
file/GRID=my_grid1/var="rhoa,zz" "rho/rhoa.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf rhoa,zz
CANCEL DATA_SET "rho/rho.${heure[$iheure]}"
CANCEL DATA_SET "rho/rhoa.${heure[$iheure]}"
file/GRID=my_grid1/var="rt2,zz" "var/rt2.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf rt2,zz
file/GRID=my_grid1/var="rta2,zz" "var/rta2.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf rta2,zz
file/GRID=my_grid1/var="thetal2,zz" "var/thetal2.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf thetal2,zz
file/GRID=my_grid1/var="thetala2,zz" "var/thetala2.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf thetala2,zz
file/GRID=my_grid1/var="w2,zz" "var/w2.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf w2,zz
file/GRID=my_grid1/var="wa2,zz" "var/wa2.${heure[$iheure]}"
SAVE/APPEND/FILE=arm_meso_NH.cdf wa2,zz
CANCEL DATA_SET "var/rt2.${heure[$iheure]}"
CANCEL DATA_SET "var/rta2.${heure[$iheure]}"
CANCEL DATA_SET "var/thetal2.${heure[$iheure]}"
CANCEL DATA_SET "var/thetala2.${heure[$iheure]}"
CANCEL DATA_SET "var/w2.${heure[$iheure]}"
CANCEL DATA_SET "var/wa2.${heure[$iheure]}"
eod
done
